# PetscViewerSetFormat

Sets the format for PetscViewers.

### Synopsis

    #include "petsc.h"
    PetscErrorCode  PetscViewerSetFormat(PetscViewer viewer,PetscViewerFormat format)

Collective on PetscViewer

### Input Parameters

| viewer | - the PetscViewer
| format | - the format

### Notes

Available formats include

| PETSC_VIEWER_ASCII_DEFAULT | - default format
| PETSC_VIEWER_ASCII_MATLAB | - Matlab format
| PETSC_VIEWER_ASCII_DENSE | - print matrix as dense
| PETSC_VIEWER_ASCII_IMPL | - implementation-specific format (which is in many cases the same as the default)
| PETSC_VIEWER_ASCII_INFO | - basic information about object
| PETSC_VIEWER_ASCII_INFO_DETAIL | - more detailed info about object
| PETSC_VIEWER_ASCII_COMMON | - identical output format for all objects of a particular type
| PETSC_VIEWER_ASCII_INDEX | - (for vectors) prints the vector element number next to each vector entry
| PETSC_VIEWER_ASCII_SYMMODU | - print parallel vectors without indicating the processor ranges
| PETSC_VIEWER_BINARY_NATIVE | - store the object to the binary file in its native format (for example, dense matrices are stored as dense)
| PETSC_VIEWER_DRAW_BASIC | - views the vector with a simple 1d plot
| PETSC_VIEWER_DRAW_LG | - views the vector with a line graph
| PETSC_VIEWER_DRAW_CONTOUR | - views the vector with a contour plot

These formats are most often used for viewing matrices and vectors.

If a format (for example PETSC_VIEWER_DRAW_CONTOUR) was applied to a viewer where it didn't apply (PETSC_VIEWER_STDOUT_WORLD) it cause the default behavior for that viewer to be used.

### See Also

PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), MatView(), VecView(),
PetscViewerPushFormat(), PetscViewerPopFormat(), PetscViewerDrawOpen(),PetscViewerSocketOpen()

Level:intermediate
Location: src/sys/viewer/interface/viewa.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex33.c.html